GNU bug report logs - #63407
29.0.90; <mouse-2> on misspelled word hangs X11

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Doug Maxey <emacs-bugs@HIDDEN>; Keywords: moreinfo; merged with #63404, #63406, #63408; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 63407-done <at> debbugs.gnu.org:


Received: (at 63407-done) by debbugs.gnu.org; 9 Jun 2024 21:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 17:01:24 2024
Received: from localhost ([127.0.0.1]:60421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sGPfH-0003lN-GX
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:01:23 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:45126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1sGPfF-0003ky-HV; Sun, 09 Jun 2024 17:01:22 -0400
Received: by mail-ed1-f52.google.com with SMTP id
 4fb4d7f45d1cf-57c685bfd86so1835537a12.2; 
 Sun, 09 Jun 2024 14:01:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717966799; x=1718571599; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=j89HI2a521qd8r9fK8u/qn9GKRRzbqXwuKFMi7Edlbf3KlzOV+vDltW5p5+/sDPwwA
 A1ezVToG8P8b5wYwEF9EgVzT8u+Yv3Qb3q0KIiCb8sTmZPEfxaeinf3Dz4WdqpNN6e5X
 XKfASIQ/xhfEv9F/clGAsAbDkOXn0REpLu13HDnsmD4b+i+akkzrjqcghXapIX2QbDFd
 XUCZSt6nXP7GgI9FmMNvRnuBRsy41i8AXkyV6jt2hkQBkNPtSHZBCmfwbByJXJx3Z4M4
 YXyEbN02+pQmSd4SLwKx8Hmd4V+ixXc+xbJoSdI0SX3aou7lIZJ52lSxssZChe+y3L6r
 ynFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717966799; x=1718571599;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=HcYhsFezTYudXB5ueSGjm5jENQAT2di7sSGLAhBVxjIZwi8vwAkO7dJWDaxfiCl71r
 oGPPB12QQsgZa+g55rlmujKJbk2BuV+XfyPYsaYSLE6nV/L+MM9HRkaO3RosczYRQUr8
 It+1/6h6ICKVKoMuD55051fBE5HD1Xi+sbjRBeGfNGRIvO82zDzF6D0QryzDNErcYvMy
 2WBZdkhWoq+qmgZOz2Vgii5wBybLz0VvVoic+Q1aCPICB6fXBf+L13e1X+o6ix2ryDhb
 0tXYZLUoj2l/noUK6cFy2AbDGqO7bVk9TKIWlugoxFKrQwjBbtgOvErcEt46/JsR4OSh
 STGg==
X-Forwarded-Encrypted: i=1;
 AJvYcCXur8LH9MIr4oM74BQqAtS64FQc4m0cx/94qliRxElYCAjZp7B4qIkJTRJZRtfgQs/NodyizkoyQOL+XMOXomOWlhLgOtgGUhsftQ==
X-Gm-Message-State: AOJu0Yxse658WNw3N7iQ6/qD5LjJ/n32SS46AwILXTsKDzQ1fCG6sNP6
 UIq8P9uSXIs7jJ9D1XJL9r/B9FctfT90FhqmFJjH8Emi56aAy0R+Ld6+DmESE1KDHKUp8Mfnqfu
 LX1qAZ596ix6bNiCUp8jANeWr3VY=
X-Google-Smtp-Source: AGHT+IH6hLLMj3PeZeypWti962GJ0ExRkLqJaLB5cU4HQOgknPwQORtbo3DRTsQ7UrxYl8kDKNEontR1hgPY9fgxoRI=
X-Received: by 2002:a50:ccc8:0:b0:57c:7628:97d7 with SMTP id
 4fb4d7f45d1cf-57c76289e85mr1856194a12.3.1717966799225; Sun, 09 Jun 2024
 13:59:59 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 9 Jun 2024 13:59:59 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 6 Sep 2023 13:29:39 -0700")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
 <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
MIME-Version: 1.0
Date: Sun, 9 Jun 2024 13:59:59 -0700
Message-ID: <CADwFkmmYfe2zUPAdf__WGG_CYLnHa0jdLrgbKuWDudc+_t2AEA@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 63407-done
Cc: 63408-done <at> debbugs.gnu.org, Doug Maxey <emacs-bugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 63407-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>> merge 63406 63408 63404 63407
>>> thanks
>>>
>>>> From: Doug Maxey <emacs-bugs@HIDDEN>
>>>> Date: Tue, 09 May 2023 16:15:09 -0500
>>>>
>>>>
>>>> The setup:
>>>> - rocky-9 x86_64.
>>>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>>>> - multi-monitors joined to single display.
>>>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>>>> - buffer major-mode does not seem to matter.
>>>> - <mouse-2> on a misspelled word.
>>>>
>>>> The result is other than having control of the sprite (the mouse can
>>>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>>>> there is NO other input accepted.  Cannot select any other window than
>>>> the last (emacs frame in this case), and there is no keyboard or mouse
>>>> button input.  There are no visible change on the screen, no dialog box
>>>> pops up.
>>>>
>>>> The net effect is that the screen is frozen, save for the moving sprite.
>>>
>>> Please reproduce this, preferably in "emacs -Q", then attach GDB to
>>> the "frozen" Emacs process, and type at the GDB prompt:
>>>
>>>    thread apply all bt
>>>
>>> and post here everything that GDB prints as result.
>>>
>>> Thanks.
>>
>> If an X server freeze occurs and is not remedied by killing Emacs (by
>> logging out), it's likely not Emacs's fault.  However, that the cursor
>> can continue to move suggests that a stray server grab may be involved,
>> which can be a problem with Emacs.
>>
>> Doug, would you please tell me whether you are using an X compositing
>> manager, or if anything unusual is printed inside the X server logs?  If
>> not, would you please run Emacs under a tool like xscope, redirect its
>> output somewhere, and send it here?
>
> Doug, it seems like we need more information here to make any
> progress.  Could you provide the information Po Lu is asking for above?
>
> Thanks in advance.

More information was requested, but none was given within 9 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.




Notification sent to emacs-bugs@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 63407-done <at> debbugs.gnu.org:


Received: (at 63407-done) by debbugs.gnu.org; 9 Jun 2024 21:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 17:01:24 2024
Received: from localhost ([127.0.0.1]:60421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sGPfH-0003lN-GX
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:01:23 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:45126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1sGPfF-0003ky-HV; Sun, 09 Jun 2024 17:01:22 -0400
Received: by mail-ed1-f52.google.com with SMTP id
 4fb4d7f45d1cf-57c685bfd86so1835537a12.2; 
 Sun, 09 Jun 2024 14:01:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717966799; x=1718571599; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=j89HI2a521qd8r9fK8u/qn9GKRRzbqXwuKFMi7Edlbf3KlzOV+vDltW5p5+/sDPwwA
 A1ezVToG8P8b5wYwEF9EgVzT8u+Yv3Qb3q0KIiCb8sTmZPEfxaeinf3Dz4WdqpNN6e5X
 XKfASIQ/xhfEv9F/clGAsAbDkOXn0REpLu13HDnsmD4b+i+akkzrjqcghXapIX2QbDFd
 XUCZSt6nXP7GgI9FmMNvRnuBRsy41i8AXkyV6jt2hkQBkNPtSHZBCmfwbByJXJx3Z4M4
 YXyEbN02+pQmSd4SLwKx8Hmd4V+ixXc+xbJoSdI0SX3aou7lIZJ52lSxssZChe+y3L6r
 ynFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717966799; x=1718571599;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=HcYhsFezTYudXB5ueSGjm5jENQAT2di7sSGLAhBVxjIZwi8vwAkO7dJWDaxfiCl71r
 oGPPB12QQsgZa+g55rlmujKJbk2BuV+XfyPYsaYSLE6nV/L+MM9HRkaO3RosczYRQUr8
 It+1/6h6ICKVKoMuD55051fBE5HD1Xi+sbjRBeGfNGRIvO82zDzF6D0QryzDNErcYvMy
 2WBZdkhWoq+qmgZOz2Vgii5wBybLz0VvVoic+Q1aCPICB6fXBf+L13e1X+o6ix2ryDhb
 0tXYZLUoj2l/noUK6cFy2AbDGqO7bVk9TKIWlugoxFKrQwjBbtgOvErcEt46/JsR4OSh
 STGg==
X-Forwarded-Encrypted: i=1;
 AJvYcCXur8LH9MIr4oM74BQqAtS64FQc4m0cx/94qliRxElYCAjZp7B4qIkJTRJZRtfgQs/NodyizkoyQOL+XMOXomOWlhLgOtgGUhsftQ==
X-Gm-Message-State: AOJu0Yxse658WNw3N7iQ6/qD5LjJ/n32SS46AwILXTsKDzQ1fCG6sNP6
 UIq8P9uSXIs7jJ9D1XJL9r/B9FctfT90FhqmFJjH8Emi56aAy0R+Ld6+DmESE1KDHKUp8Mfnqfu
 LX1qAZ596ix6bNiCUp8jANeWr3VY=
X-Google-Smtp-Source: AGHT+IH6hLLMj3PeZeypWti962GJ0ExRkLqJaLB5cU4HQOgknPwQORtbo3DRTsQ7UrxYl8kDKNEontR1hgPY9fgxoRI=
X-Received: by 2002:a50:ccc8:0:b0:57c:7628:97d7 with SMTP id
 4fb4d7f45d1cf-57c76289e85mr1856194a12.3.1717966799225; Sun, 09 Jun 2024
 13:59:59 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 9 Jun 2024 13:59:59 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 6 Sep 2023 13:29:39 -0700")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
 <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
MIME-Version: 1.0
Date: Sun, 9 Jun 2024 13:59:59 -0700
Message-ID: <CADwFkmmYfe2zUPAdf__WGG_CYLnHa0jdLrgbKuWDudc+_t2AEA@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 63407-done
Cc: 63408-done <at> debbugs.gnu.org, Doug Maxey <emacs-bugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 63407-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>> merge 63406 63408 63404 63407
>>> thanks
>>>
>>>> From: Doug Maxey <emacs-bugs@HIDDEN>
>>>> Date: Tue, 09 May 2023 16:15:09 -0500
>>>>
>>>>
>>>> The setup:
>>>> - rocky-9 x86_64.
>>>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>>>> - multi-monitors joined to single display.
>>>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>>>> - buffer major-mode does not seem to matter.
>>>> - <mouse-2> on a misspelled word.
>>>>
>>>> The result is other than having control of the sprite (the mouse can
>>>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>>>> there is NO other input accepted.  Cannot select any other window than
>>>> the last (emacs frame in this case), and there is no keyboard or mouse
>>>> button input.  There are no visible change on the screen, no dialog box
>>>> pops up.
>>>>
>>>> The net effect is that the screen is frozen, save for the moving sprite.
>>>
>>> Please reproduce this, preferably in "emacs -Q", then attach GDB to
>>> the "frozen" Emacs process, and type at the GDB prompt:
>>>
>>>    thread apply all bt
>>>
>>> and post here everything that GDB prints as result.
>>>
>>> Thanks.
>>
>> If an X server freeze occurs and is not remedied by killing Emacs (by
>> logging out), it's likely not Emacs's fault.  However, that the cursor
>> can continue to move suggests that a stray server grab may be involved,
>> which can be a problem with Emacs.
>>
>> Doug, would you please tell me whether you are using an X compositing
>> manager, or if anything unusual is printed inside the X server logs?  If
>> not, would you please run Emacs under a tool like xscope, redirect its
>> output somewhere, and send it here?
>
> Doug, it seems like we need more information here to make any
> progress.  Could you provide the information Po Lu is asking for above?
>
> Thanks in advance.

More information was requested, but none was given within 9 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.




Notification sent to emacs-bugs@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 63407-done <at> debbugs.gnu.org:


Received: (at 63407-done) by debbugs.gnu.org; 9 Jun 2024 21:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 17:01:24 2024
Received: from localhost ([127.0.0.1]:60421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sGPfH-0003lN-GX
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:01:23 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:45126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1sGPfF-0003ky-HV; Sun, 09 Jun 2024 17:01:22 -0400
Received: by mail-ed1-f52.google.com with SMTP id
 4fb4d7f45d1cf-57c685bfd86so1835537a12.2; 
 Sun, 09 Jun 2024 14:01:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717966799; x=1718571599; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=j89HI2a521qd8r9fK8u/qn9GKRRzbqXwuKFMi7Edlbf3KlzOV+vDltW5p5+/sDPwwA
 A1ezVToG8P8b5wYwEF9EgVzT8u+Yv3Qb3q0KIiCb8sTmZPEfxaeinf3Dz4WdqpNN6e5X
 XKfASIQ/xhfEv9F/clGAsAbDkOXn0REpLu13HDnsmD4b+i+akkzrjqcghXapIX2QbDFd
 XUCZSt6nXP7GgI9FmMNvRnuBRsy41i8AXkyV6jt2hkQBkNPtSHZBCmfwbByJXJx3Z4M4
 YXyEbN02+pQmSd4SLwKx8Hmd4V+ixXc+xbJoSdI0SX3aou7lIZJ52lSxssZChe+y3L6r
 ynFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717966799; x=1718571599;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=HcYhsFezTYudXB5ueSGjm5jENQAT2di7sSGLAhBVxjIZwi8vwAkO7dJWDaxfiCl71r
 oGPPB12QQsgZa+g55rlmujKJbk2BuV+XfyPYsaYSLE6nV/L+MM9HRkaO3RosczYRQUr8
 It+1/6h6ICKVKoMuD55051fBE5HD1Xi+sbjRBeGfNGRIvO82zDzF6D0QryzDNErcYvMy
 2WBZdkhWoq+qmgZOz2Vgii5wBybLz0VvVoic+Q1aCPICB6fXBf+L13e1X+o6ix2ryDhb
 0tXYZLUoj2l/noUK6cFy2AbDGqO7bVk9TKIWlugoxFKrQwjBbtgOvErcEt46/JsR4OSh
 STGg==
X-Forwarded-Encrypted: i=1;
 AJvYcCXur8LH9MIr4oM74BQqAtS64FQc4m0cx/94qliRxElYCAjZp7B4qIkJTRJZRtfgQs/NodyizkoyQOL+XMOXomOWlhLgOtgGUhsftQ==
X-Gm-Message-State: AOJu0Yxse658WNw3N7iQ6/qD5LjJ/n32SS46AwILXTsKDzQ1fCG6sNP6
 UIq8P9uSXIs7jJ9D1XJL9r/B9FctfT90FhqmFJjH8Emi56aAy0R+Ld6+DmESE1KDHKUp8Mfnqfu
 LX1qAZ596ix6bNiCUp8jANeWr3VY=
X-Google-Smtp-Source: AGHT+IH6hLLMj3PeZeypWti962GJ0ExRkLqJaLB5cU4HQOgknPwQORtbo3DRTsQ7UrxYl8kDKNEontR1hgPY9fgxoRI=
X-Received: by 2002:a50:ccc8:0:b0:57c:7628:97d7 with SMTP id
 4fb4d7f45d1cf-57c76289e85mr1856194a12.3.1717966799225; Sun, 09 Jun 2024
 13:59:59 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 9 Jun 2024 13:59:59 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 6 Sep 2023 13:29:39 -0700")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
 <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
MIME-Version: 1.0
Date: Sun, 9 Jun 2024 13:59:59 -0700
Message-ID: <CADwFkmmYfe2zUPAdf__WGG_CYLnHa0jdLrgbKuWDudc+_t2AEA@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 63407-done
Cc: 63408-done <at> debbugs.gnu.org, Doug Maxey <emacs-bugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 63407-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>> merge 63406 63408 63404 63407
>>> thanks
>>>
>>>> From: Doug Maxey <emacs-bugs@HIDDEN>
>>>> Date: Tue, 09 May 2023 16:15:09 -0500
>>>>
>>>>
>>>> The setup:
>>>> - rocky-9 x86_64.
>>>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>>>> - multi-monitors joined to single display.
>>>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>>>> - buffer major-mode does not seem to matter.
>>>> - <mouse-2> on a misspelled word.
>>>>
>>>> The result is other than having control of the sprite (the mouse can
>>>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>>>> there is NO other input accepted.  Cannot select any other window than
>>>> the last (emacs frame in this case), and there is no keyboard or mouse
>>>> button input.  There are no visible change on the screen, no dialog box
>>>> pops up.
>>>>
>>>> The net effect is that the screen is frozen, save for the moving sprite.
>>>
>>> Please reproduce this, preferably in "emacs -Q", then attach GDB to
>>> the "frozen" Emacs process, and type at the GDB prompt:
>>>
>>>    thread apply all bt
>>>
>>> and post here everything that GDB prints as result.
>>>
>>> Thanks.
>>
>> If an X server freeze occurs and is not remedied by killing Emacs (by
>> logging out), it's likely not Emacs's fault.  However, that the cursor
>> can continue to move suggests that a stray server grab may be involved,
>> which can be a problem with Emacs.
>>
>> Doug, would you please tell me whether you are using an X compositing
>> manager, or if anything unusual is printed inside the X server logs?  If
>> not, would you please run Emacs under a tool like xscope, redirect its
>> output somewhere, and send it here?
>
> Doug, it seems like we need more information here to make any
> progress.  Could you provide the information Po Lu is asking for above?
>
> Thanks in advance.

More information was requested, but none was given within 9 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.




Notification sent to Doug Maxey <emacs-bugs@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 63407-done <at> debbugs.gnu.org:


Received: (at 63407-done) by debbugs.gnu.org; 9 Jun 2024 21:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 17:01:24 2024
Received: from localhost ([127.0.0.1]:60421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sGPfH-0003lN-GX
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:01:23 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:45126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1sGPfF-0003ky-HV; Sun, 09 Jun 2024 17:01:22 -0400
Received: by mail-ed1-f52.google.com with SMTP id
 4fb4d7f45d1cf-57c685bfd86so1835537a12.2; 
 Sun, 09 Jun 2024 14:01:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717966799; x=1718571599; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=j89HI2a521qd8r9fK8u/qn9GKRRzbqXwuKFMi7Edlbf3KlzOV+vDltW5p5+/sDPwwA
 A1ezVToG8P8b5wYwEF9EgVzT8u+Yv3Qb3q0KIiCb8sTmZPEfxaeinf3Dz4WdqpNN6e5X
 XKfASIQ/xhfEv9F/clGAsAbDkOXn0REpLu13HDnsmD4b+i+akkzrjqcghXapIX2QbDFd
 XUCZSt6nXP7GgI9FmMNvRnuBRsy41i8AXkyV6jt2hkQBkNPtSHZBCmfwbByJXJx3Z4M4
 YXyEbN02+pQmSd4SLwKx8Hmd4V+ixXc+xbJoSdI0SX3aou7lIZJ52lSxssZChe+y3L6r
 ynFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717966799; x=1718571599;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=kJUATjk9o7Q5A6wFfRC3o8vKNDyNLCxw0yYo6Cny9fs=;
 b=HcYhsFezTYudXB5ueSGjm5jENQAT2di7sSGLAhBVxjIZwi8vwAkO7dJWDaxfiCl71r
 oGPPB12QQsgZa+g55rlmujKJbk2BuV+XfyPYsaYSLE6nV/L+MM9HRkaO3RosczYRQUr8
 It+1/6h6ICKVKoMuD55051fBE5HD1Xi+sbjRBeGfNGRIvO82zDzF6D0QryzDNErcYvMy
 2WBZdkhWoq+qmgZOz2Vgii5wBybLz0VvVoic+Q1aCPICB6fXBf+L13e1X+o6ix2ryDhb
 0tXYZLUoj2l/noUK6cFy2AbDGqO7bVk9TKIWlugoxFKrQwjBbtgOvErcEt46/JsR4OSh
 STGg==
X-Forwarded-Encrypted: i=1;
 AJvYcCXur8LH9MIr4oM74BQqAtS64FQc4m0cx/94qliRxElYCAjZp7B4qIkJTRJZRtfgQs/NodyizkoyQOL+XMOXomOWlhLgOtgGUhsftQ==
X-Gm-Message-State: AOJu0Yxse658WNw3N7iQ6/qD5LjJ/n32SS46AwILXTsKDzQ1fCG6sNP6
 UIq8P9uSXIs7jJ9D1XJL9r/B9FctfT90FhqmFJjH8Emi56aAy0R+Ld6+DmESE1KDHKUp8Mfnqfu
 LX1qAZ596ix6bNiCUp8jANeWr3VY=
X-Google-Smtp-Source: AGHT+IH6hLLMj3PeZeypWti962GJ0ExRkLqJaLB5cU4HQOgknPwQORtbo3DRTsQ7UrxYl8kDKNEontR1hgPY9fgxoRI=
X-Received: by 2002:a50:ccc8:0:b0:57c:7628:97d7 with SMTP id
 4fb4d7f45d1cf-57c76289e85mr1856194a12.3.1717966799225; Sun, 09 Jun 2024
 13:59:59 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 9 Jun 2024 13:59:59 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 6 Sep 2023 13:29:39 -0700")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
 <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
MIME-Version: 1.0
Date: Sun, 9 Jun 2024 13:59:59 -0700
Message-ID: <CADwFkmmYfe2zUPAdf__WGG_CYLnHa0jdLrgbKuWDudc+_t2AEA@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 63407-done
Cc: 63408-done <at> debbugs.gnu.org, Doug Maxey <emacs-bugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 63407-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>>> merge 63406 63408 63404 63407
>>> thanks
>>>
>>>> From: Doug Maxey <emacs-bugs@HIDDEN>
>>>> Date: Tue, 09 May 2023 16:15:09 -0500
>>>>
>>>>
>>>> The setup:
>>>> - rocky-9 x86_64.
>>>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>>>> - multi-monitors joined to single display.
>>>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>>>> - buffer major-mode does not seem to matter.
>>>> - <mouse-2> on a misspelled word.
>>>>
>>>> The result is other than having control of the sprite (the mouse can
>>>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>>>> there is NO other input accepted.  Cannot select any other window than
>>>> the last (emacs frame in this case), and there is no keyboard or mouse
>>>> button input.  There are no visible change on the screen, no dialog box
>>>> pops up.
>>>>
>>>> The net effect is that the screen is frozen, save for the moving sprite.
>>>
>>> Please reproduce this, preferably in "emacs -Q", then attach GDB to
>>> the "frozen" Emacs process, and type at the GDB prompt:
>>>
>>>    thread apply all bt
>>>
>>> and post here everything that GDB prints as result.
>>>
>>> Thanks.
>>
>> If an X server freeze occurs and is not remedied by killing Emacs (by
>> logging out), it's likely not Emacs's fault.  However, that the cursor
>> can continue to move suggests that a stray server grab may be involved,
>> which can be a problem with Emacs.
>>
>> Doug, would you please tell me whether you are using an X compositing
>> manager, or if anything unusual is printed inside the X server logs?  If
>> not, would you please run Emacs under a tool like xscope, redirect its
>> output somewhere, and send it here?
>
> Doug, it seems like we need more information here to make any
> progress.  Could you provide the information Po Lu is asking for above?
>
> Thanks in advance.

More information was requested, but none was given within 9 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.




Notification sent to Doug Maxey <emacs-bugs@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 63407 <at> debbugs.gnu.org:


Received: (at 63407) by debbugs.gnu.org; 6 Sep 2023 23:52:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 19:52:34 2023
Received: from localhost ([127.0.0.1]:38139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qe2K2-0003TR-2v
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 19:52:34 -0400
Received: from mail.maxeygroup.tech ([70.231.4.161]:47524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pops@HIDDEN>)
 id 1qe2Jx-0003TC-6Z; Wed, 06 Sep 2023 19:52:32 -0400
Received: from rek.internal.maxeygroup.tech (rek.internal.maxeygroup.tech
 [IPv6:fd72:6977:7ac0:ffee:0:0:1:32]) (authenticated bits=0)
 by mail.maxeygroup.tech (8.17.1/8.17.1) with ESMTPSA id 386Nq9k31194205
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=NO);
 Wed, 6 Sep 2023 18:52:09 -0500
Message-ID: <8d77ddc7d623278bf790f58186fb06dbcabbb5b7.camel@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
From: Doug Maxey <pops@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>, Po Lu <luangruo@HIDDEN>
Date: Wed, 06 Sep 2023 18:52:09 -0500
In-Reply-To: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
 <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.40.4 (3.40.4-9.el9) 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63407
Cc: 63408 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, 63407 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 2023-09-06 at 13:29 -0700, Stefan Kangas wrote:
> Po Lu <luangruo@HIDDEN> writes:
> 
> > Eli Zaretskii <eliz@HIDDEN> writes:
> > 
> > > merge 63406 63408 63404 63407
> > > thanks
> > > 
> > > > From: Doug Maxey <emacs-bugs@HIDDEN>
> > > > Date: Tue, 09 May 2023 16:15:09 -0500
> > > > 
> > > > 
> > > > The setup:
> > > > - rocky-9 x86_64.
> > > > - The graphics session is running in "classic", i.e. Xorg, not
> > > > wayland.
> > > > - multi-monitors joined to single display.
> > > > - emacs-lucid from locally built rpm (non-rpm local build
> > > > behaves same).
> > > > - buffer major-mode does not seem to matter.
> > > > - <mouse-2> on a misspelled word.
> > > > 
> > > > The result is other than having control of the sprite (the
> > > > mouse can
> > > > move the sprite around normally. and I can switch tty with
> > > > Ctrl-Alt-N)
> > > > there is NO other input accepted.  Cannot select any other
> > > > window than
> > > > the last (emacs frame in this case), and there is no keyboard
> > > > or mouse
> > > > button input.  There are no visible change on the screen, no
> > > > dialog box
> > > > pops up.
> > > > 
> > > > The net effect is that the screen is frozen, save for the
> > > > moving sprite.
> > > 
> > > Please reproduce this, preferably in "emacs -Q", then attach GDB
> > > to
> > > the "frozen" Emacs process, and type at the GDB prompt:
> > > 
> > >    thread apply all bt
> > > 
> > > and post here everything that GDB prints as result.
> > > 
> > > Thanks.
> > 
> > If an X server freeze occurs and is not remedied by killing Emacs
> > (by
> > logging out), it's likely not Emacs's fault.  However, that the
> > cursor
> > can continue to move suggests that a stray server grab may be
> > involved,
> > which can be a problem with Emacs.
> > 
> > Doug, would you please tell me whether you are using an X
> > compositing
> > manager, or if anything unusual is printed inside the X server
> > logs?  If
> > not, would you please run Emacs under a tool like xscope, redirect
> > its
> > output somewhere, and send it here?
> 
> Doug, it seems like we need more information here to make any
> progress.  Could you provide the information Po Lu is asking for
> above?

I have not forgotten about this.  It is just that the setup I need went
away for other reasons, mainly dead monitor power supplies.  The spare
parts to needed to recreate have yet to materialize.


> 
> Thanks in advance.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 63407 <at> debbugs.gnu.org:


Received: (at 63407) by debbugs.gnu.org; 6 Sep 2023 20:29:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 16:29:51 2023
Received: from localhost ([127.0.0.1]:37955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdz9r-0004K4-6f
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 16:29:51 -0400
Received: from mail-lf1-x135.google.com ([2a00:1450:4864:20::135]:58678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1qdz9n-0004Jk-HX; Wed, 06 Sep 2023 16:29:49 -0400
Received: by mail-lf1-x135.google.com with SMTP id
 2adb3069b0e04-501bd7711e8so325324e87.1; 
 Wed, 06 Sep 2023 13:29:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1694032180; x=1694636980; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=OSnu2YKfYpNIwar66CuPF1YFONUOmqGZjVXre47dR7E=;
 b=mQ2o19bOEE37XUpzva833nAImZ39AuF3///epXaJlLR872KSSobz/W0xvrfCJqkhRP
 XKJmpAzCQBW7MCRpvzh2MevrYNLP8MDP8r60spFJzp5sKSzqUJCv03665oN4FhaZu+uF
 LvW7ag3yJ0LHwvNlaKE0jnbE7t3PGdDGepYaa9npHtCywOCrSUUjnG1u4s5bxI51V6rH
 RZch+yCjuZTagR1lhWCXnlSRH+s5qlfqTWXGfgxwo5rbCJySZNFnzvEjuJpsXqzdFX/A
 LbwqhwLv217ZZ70nQW02T+IFH49xUlCXugYti4QkdjIncYP5Y5BYWqS+HdAMUmexfFwo
 MJqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1694032180; x=1694636980;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=OSnu2YKfYpNIwar66CuPF1YFONUOmqGZjVXre47dR7E=;
 b=ByBiGfjAsyJA4VeIESMHmsOq8qi5XXfZ9gZCBXzCvTjIyyqCVI9Zehqblx15rI6sNr
 mfoC4ZUWYTvgU8yaScTqYyL4jdrKsnSnUf8Ibkp8hV/L2yOp5Abhj+t2WuTPmaIqUvCC
 t2g7mlHUoCzG8/99g0/0pxLg+B1XHqevNUUoPmoKJXdhJN0Y+YxXPMt9z+tXH4Yjzd8/
 gigkIJ+F3GX3JBEANqxgrX2oJ14ymZDdklMNk6AkCBCbyCegc+Lgmk7M/OrFGhtz/n4K
 j/ZxnhcdwUkxsKVCOAL6brU0xGZ7r/ynWEbggu6Mr6n7nVXJF0YZHQDZhj13WgiOD2V2
 drHg==
X-Gm-Message-State: AOJu0YyHMu1q5UcvvXgDQWAXOzWgoVQCcfmNMojVkMXugMZVvEN9h1et
 UOMygBdiN7onSmgRJaZs22fMTnYQ7znCAQZFkao=
X-Google-Smtp-Source: AGHT+IF899/CS8Si39lm6E4KLf50RAe+i4kHug+yyhW63SqPSmm7CxL7xM3eLh/SIQ7+XUcSGE19/0MyHG2lAlhb3es=
X-Received: by 2002:a19:691c:0:b0:500:bbd4:970f with SMTP id
 e28-20020a19691c000000b00500bbd4970fmr2985882lfc.5.1694032180030; Wed, 06 Sep
 2023 13:29:40 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 6 Sep 2023 13:29:39 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87lehvfzxo.fsf@HIDDEN> (Po Lu's message of "Thu, 11 May 2023
 08:56:51 +0800")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
 <87lehvfzxo.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 6 Sep 2023 13:29:39 -0700
Message-ID: <CADwFkmneGiMfb4a4CRozzdukpgLpxZHer62ahpo=kxNFss6fDQ@HIDDEN>
Subject: Re: bug#63408: 29.0.90; <mouse-2> on misspelled word hangs X11
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63407
Cc: 63408 <at> debbugs.gnu.org, Doug Maxey <emacs-bugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 63407 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> merge 63406 63408 63404 63407
>> thanks
>>
>>> From: Doug Maxey <emacs-bugs@HIDDEN>
>>> Date: Tue, 09 May 2023 16:15:09 -0500
>>>
>>>
>>> The setup:
>>> - rocky-9 x86_64.
>>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>>> - multi-monitors joined to single display.
>>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>>> - buffer major-mode does not seem to matter.
>>> - <mouse-2> on a misspelled word.
>>>
>>> The result is other than having control of the sprite (the mouse can
>>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>>> there is NO other input accepted.  Cannot select any other window than
>>> the last (emacs frame in this case), and there is no keyboard or mouse
>>> button input.  There are no visible change on the screen, no dialog box
>>> pops up.
>>>
>>> The net effect is that the screen is frozen, save for the moving sprite.
>>
>> Please reproduce this, preferably in "emacs -Q", then attach GDB to
>> the "frozen" Emacs process, and type at the GDB prompt:
>>
>>    thread apply all bt
>>
>> and post here everything that GDB prints as result.
>>
>> Thanks.
>
> If an X server freeze occurs and is not remedied by killing Emacs (by
> logging out), it's likely not Emacs's fault.  However, that the cursor
> can continue to move suggests that a stray server grab may be involved,
> which can be a problem with Emacs.
>
> Doug, would you please tell me whether you are using an X compositing
> manager, or if anything unusual is printed inside the X server logs?  If
> not, would you please run Emacs under a tool like xscope, redirect its
> output somewhere, and send it here?

Doug, it seems like we need more information here to make any
progress.  Could you provide the information Po Lu is asking for above?

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.

Message received at 63407 <at> debbugs.gnu.org:


Received: (at 63407) by debbugs.gnu.org; 11 May 2023 00:57:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 10 20:57:21 2023
Received: from localhost ([127.0.0.1]:49288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwucT-0000sM-6h
	for submit <at> debbugs.gnu.org; Wed, 10 May 2023 20:57:21 -0400
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:40358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1pwucR-0000s9-9E
 for 63407 <at> debbugs.gnu.org; Wed, 10 May 2023 20:57:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1683766633; bh=w0rRESmB+q1dE8RHTKrKCJaQ9fmBpinoViksnPBWRvI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=SNdwiKXDSeSjt0EPnPWvjtxXDMOtd19haXeHdmSe0ZHPStm/bcta7jTb5HypbU/99HIvB+ktD+rutqOpUvnWM3JQ6wLmAlOD79AuWcGG5p+Ch5u1DCmAT9/+UH7x/gXRSiR7Wi6JojHJCJ4Sy/zoelaedtYWPrBdK81lZ7/kciB+QT90b9eYdq645+0wkNnYOKNoYRKdoAsXnopd4xi2tLim9zwobrua9gr6IhwTn3s9T06eohrBcJdvSMSnlO7p4kcV210L13Dm2+SwehmkEIOM+8KKueREK5uiy6n08xaLCt4LnqePaQc7rDqEnVTeZi8bdsDCK9VIh7io8iKAJg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1683766633; bh=FxJ2Eynq/asqo6BSRUzIuexbjjhI095zdaDXqQ/SYUr=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=CRxheRXKyXy11T8lqRouVE/q5OKG3Kfn5I6aoZm+rQ7eO5TfWRMkKpkwERwn/gJInmJstOzwJKhtJJPojBD6jlkZ4kaXwdMq1UsMWUb0mbZBzuIqHCOqbmrMNCZhV6xo/8KAm2lodISkbf4NCVDvAEmLHEdzQx4wuM46fpmsoKaiWnzTkj0UrNR9giJ1hIFPy65ev5ND5w/rnOWt9n1pZwY8ZfhBbPFR+TrkZRDmjv/DxBvAl+nNRqqaH5ta1CpLcIoPm5pwl8x5Wstx6F4ZwjOS2MD5YEMnw1mvjO29fyoTJDygsCwKPRnvWraV2rb1xSO02KNe+ytmUHyvGyMR4Q==
X-YMail-OSG: z65cP1MVM1lUYPN1pjw8dZ55dSc7SvXBtWzApKpdDbwYO9AGIKqYyDT.8b5oGDq
 OvhppX_6hj43chqReQ9qGQ6nJPecAWahPwVzzekhcKrYvMnxlhAJBJMdstJydgNR88Y84L8SdBco
 zTzhMX9WOIP9aVFIgPO4xOXiCekfQAOWoq7MDiFqqSCLqdrCTPM8X2kE5nrfmtpg_d402JirzDHy
 zrysI0JJF2XIi2_zNZUOEonori6Wnl_5YrJ_X7MqumoVcNw1yx1SY26gCNHqHNP5EIJ8P1jgl69p
 mVhiJHMVB2p0gFB0GPyXGEmuU3mBYnmcPgu5albBccgYYpDR3j.KYMqZSGVgAg.Eb099_3OwX_p9
 Sm_FKvNLs.bZwCCppDEwQkRRQTc410e9vK_Ew46jgSdwumidgzTPbw5OiS5ZV5hZwDC3HoPqP_YU
 V.yjqYx6eX12MrugB.XP74_3IafvMZuxZKNDsAMQE6JGjnzwftLofikNxqHO.z4rBBprqKhd1Oo.
 io4Qy.XLZRZEMZy7Xt4bMFe4Vm3NpenlHrXGtMl9ELJjGje6pUm6.NbBMpbCSB3KXVReoDWxbsoK
 cBqBEud_nbqp7CVheTl66h_9StFI4vF1IEmMUw0ROW09kF0_WKwERA73LPjz5VMITGr2RsscRJ8L
 4vDxzkDVTXhYb98T4pun8g4qt6nWMV8n8wa1MeSLl6Vm7gcq9qxeDdt9fWNSZWdXN8t6VVkglWSp
 K7sxWjSG.J200LXAsYuy5cHvz_i1Z6iw5fPfp7ZipSxVtd51w5ktLNT3UnvlBeddXWNDJabLjZcX
 jyRdTPFqKG_.y_o9s8V7mLufHQwgTf7BN1.On32mD7mDqn.c8_AI.uiCXgJ8wEGUUqqQA.1YczlB
 o6qNm8_BL5l97XH9QyhX1F_dDTpnDaIbuVLMC04AZMrlHxlUbWDjmveF4uAPBBHDiuZ9Sf0_t1He
 ga0a9XrNyfMDL6DvjIZAjGDRzOFoxBtuIHE_sAP3XmxhLBGnAbPRzebX7BfmaqkxEIehGsgBShti
 URJ7A.TAsB0QCoaER17gMSrkZjXUKC04kvyzKBlsqHTVdktLXNgVLsjFEeoTsHgFCM0992nKwarr
 pcbSOP09Hj2z6iF1DtqMgZqDbrIsd5DQbaewto.co5LEsWlPib_F8AF6lqnnSnbzAF9R.w8zGBkA
 gq0uHUOXJb.wTcdGhzraf0lpJ7Qvg_m_oNH4sl_UdiV.HWx3o0YxKJ_By8BQj9zaufYa4quDytha
 HYQ6wBLlYDziZ0r7gEud_k3Xda.7rM6BSKtY6Rry331kqAOgQJj8BvzWkwWrUPQrMDe20H2.L7TP
 yp0o6wiHy49D1sDk9OAIbtmu7fTfkMS4SerDpxXyPqPkOHL2yB4ahgyJc2_US6Cb7SlbEVqpHp.D
 xkXVzbXprbUPCkSfXdkfPrPi4MRlqnExKG9NEIYpa5tU4dNnv8CnE4Y2O34MJ1q9f8VT._BvuWlH
 s9L3plTvOZQIZ6N7TEtsAbGUbdPClnzXR6CVgj7O.n6texRdrLY7zu8XrwQG8GTXiVUQpA3L37bP
 1L3WNLM0IZ2W_qHlGYAI_SSzuEdve4tqufpLQcSrtArfzhSAI8ElUC.f.BAocizJyJWEoolufSM7
 QpHr6uDeCJSz71R7QNZXQhFrte5LSts24H3_SAEa8IDVpmuBu2SFaJnFe5nsW7zurM5.0PE_ipbi
 pRhGJYaci8xZx8oUoECECEJlKIrUELjnwnyCkMW8v4806H2hnUsPNAmbW3vlhHAuRBIbPhWDm1J5
 EBfP8ERHlVR1yMSLQiQbye3vwpxt.clVrYpyq54YZ1.gjy3q85mNTbVuWBuGFML84xRpjdItpnL8
 aHBXZW4mmfKpso_Zh3nhou7Xr9ODQ1DEYj8aUwX6uy4lqNLklQeT2wE.IJ_u7fYPNK2P8jhxWHcE
 vGPhthWOUUpXKmi00g66hCr2Dy_W.JeD73LVCZV_DR9qt1sOaNz2ZZx2gKOKi5X_CmImJtfgFbCC
 sO8IqvDbCyyS1BHuUU1FckC1kyMoW0.K8X2cSLAPpYTKMLvcWFItuF_VgbLC5rsAtFratTQFLVBR
 IJb.A1mWhHij7JBa6zvfIlBfEfVmfC9WCReOMVipSMOPn_DHmSrsvKqxNaPm7_kdw4zN0fmjWj5J
 Nw0EfZeq5UU5uL8tAz5bWvDhy8lxABIZWZmlBmopZALoeIDbYdQNnlcSgMz0DY65ewSDODXjLP6N
 n1NMiL5pJFE1bmq0nENPB.5olOcAO86epeF2KRlV3Spn99dAm1yqe9V5FS1PoDCE1Xz2T
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: fa1d74c4-6a03-4887-b6b2-47cebc0defc4
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Thu, 11 May 2023 00:57:13 +0000
Received: by hermes--production-sg3-748897c457-vf9wl (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 689bcbac6612613f0bf66e298ab5e605; 
 Thu, 11 May 2023 00:57:07 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#63407: 29.0.90; <mouse-2> on misspelled word hangs X11
In-Reply-To: <83a5yca1i3.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 10 May
 2023 14:07:16 +0300")
References: <87zg6dryua.fsf@HIDDEN> <83a5yca1i3.fsf@HIDDEN>
Date: Thu, 11 May 2023 08:56:51 +0800
Message-ID: <87lehvfzxo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.21471
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1695
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63407
Cc: Doug Maxey <emacs-bugs@HIDDEN>, 63407 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> merge 63406 63408 63404 63407
> thanks
>
>> From: Doug Maxey <emacs-bugs@HIDDEN>
>> Date: Tue, 09 May 2023 16:15:09 -0500
>> 
>> 
>> The setup:
>> - rocky-9 x86_64.
>> - The graphics session is running in "classic", i.e. Xorg, not wayland.
>> - multi-monitors joined to single display.
>> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
>> - buffer major-mode does not seem to matter.
>> - <mouse-2> on a misspelled word.
>> 
>> The result is other than having control of the sprite (the mouse can
>> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
>> there is NO other input accepted.  Cannot select any other window than
>> the last (emacs frame in this case), and there is no keyboard or mouse
>> button input.  There are no visible change on the screen, no dialog box
>> pops up.
>> 
>> The net effect is that the screen is frozen, save for the moving sprite.
>
> Please reproduce this, preferably in "emacs -Q", then attach GDB to
> the "frozen" Emacs process, and type at the GDB prompt:
>
>    thread apply all bt
>
> and post here everything that GDB prints as result.
>
> Thanks.

If an X server freeze occurs and is not remedied by killing Emacs (by
logging out), it's likely not Emacs's fault.  However, that the cursor
can continue to move suggests that a stray server grab may be involved,
which can be a problem with Emacs.

Doug, would you please tell me whether you are using an X compositing
manager, or if anything unusual is printed inside the X server logs?  If
not, would you please run Emacs under a tool like xscope, redirect its
output somewhere, and send it here?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.
Merged 63404 63406 63407 63408. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 63407 <at> debbugs.gnu.org:


Received: (at 63407) by debbugs.gnu.org; 10 May 2023 11:06:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 10 07:06:21 2023
Received: from localhost ([127.0.0.1]:45356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwheH-0004nO-DR
	for submit <at> debbugs.gnu.org; Wed, 10 May 2023 07:06:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1pwheF-0004mz-TI; Wed, 10 May 2023 07:06:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pwhe9-0007Bj-Pt; Wed, 10 May 2023 07:06:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=8jTCdxYfH8piIuwZx42rn5rK7cwtA6kMI8jsx6E974U=; b=lpIn+wacWihN
 Fp5F69boKz/yKteN9QyV+UhusM2jkYmEnse8irRE2KommrqAyTGT8wamDLMCydZ55hunJy498CBCd
 3HbJirFA8q3JxBIRR3eVs8qXN27mor65wD6/HRVGvsY0W+X876kpgzeTvfKmb20bavnc1q/KX875t
 MYCl1ISWOH266qXbHIHtj1e3KD1yh28sEbaF/95CbrqxsinCofJhPR0gSFDdr+Laqc+fHLvIIpV33
 oFcxa1MCFi3xegskluvJO9W/CIoeKqNFHgF8MHsSn2WmIb3Su8GPQYyE6XpfCd4STDegu/eUxkXsG
 PnFg7EMkmfKuhmf/uuavww==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pwhe6-00078k-Kv; Wed, 10 May 2023 07:06:13 -0400
Date: Wed, 10 May 2023 14:07:16 +0300
Message-Id: <83a5yca1i3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Doug Maxey <emacs-bugs@HIDDEN>
In-Reply-To: <87zg6dryua.fsf@HIDDEN> (message from Doug Maxey on Tue, 
 09 May 2023 16:15:09 -0500)
Subject: Re: bug#63407: 29.0.90; <mouse-2> on misspelled word hangs X11
References: <87zg6dryua.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63407
Cc: 63407 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 63406 63408 63404 63407
thanks

> From: Doug Maxey <emacs-bugs@HIDDEN>
> Date: Tue, 09 May 2023 16:15:09 -0500
> 
> 
> The setup:
> - rocky-9 x86_64.
> - The graphics session is running in "classic", i.e. Xorg, not wayland.
> - multi-monitors joined to single display.
> - emacs-lucid from locally built rpm (non-rpm local build behaves same).
> - buffer major-mode does not seem to matter.
> - <mouse-2> on a misspelled word.
> 
> The result is other than having control of the sprite (the mouse can
> move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
> there is NO other input accepted.  Cannot select any other window than
> the last (emacs frame in this case), and there is no keyboard or mouse
> button input.  There are no visible change on the screen, no dialog box
> pops up.
> 
> The net effect is that the screen is frozen, save for the moving sprite.

Please reproduce this, preferably in "emacs -Q", then attach GDB to
the "frozen" Emacs process, and type at the GDB prompt:

   thread apply all bt

and post here everything that GDB prints as result.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.

Message received at 63407 <at> debbugs.gnu.org:


Received: (at 63407) by debbugs.gnu.org; 10 May 2023 02:34:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 22:34:16 2023
Received: from localhost ([127.0.0.1]:44923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwZeh-0002tp-CL
	for submit <at> debbugs.gnu.org; Tue, 09 May 2023 22:34:16 -0400
Received: from mail.maxeygroup.tech ([70.231.4.161]:12525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-bugs@HIDDEN>) id 1pwZed-0002tf-PN
 for 63407 <at> debbugs.gnu.org; Tue, 09 May 2023 22:34:14 -0400
Received: from rek.internal.maxeygroup.tech (rek.internal.maxeygroup.tech
 [IPv6:fd72:6977:7ac0:ffee:0:0:1:32]) (authenticated bits=0)
 by mail.maxeygroup.tech (8.17.1/8.17.1) with ESMTPSA id 34A2YBFp1800195
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=NO)
 for <63407 <at> debbugs.gnu.org>; Tue, 9 May 2023 21:34:11 -0500
Message-ID: <2a9c8093fb8f6c7398d9c619174e7e0813b9f0c0.camel@HIDDEN>
Subject: Re: bug#63407: Acknowledgement (29.0.90; <mouse-2> on misspelled
 word hangs X11)
From: Doug Maxey <emacs-bugs@HIDDEN>
To: 63407 <at> debbugs.gnu.org
Date: Tue, 09 May 2023 21:34:19 -0500
In-Reply-To: <handler.63407.B.16836814922729.ack <at> debbugs.gnu.org>
References: <87zg6dryua.fsf@HIDDEN>
 <handler.63407.B.16836814922729.ack <at> debbugs.gnu.org>
Content-Type: multipart/alternative; boundary="=-CJ+3MfAp7O51tM5SYCYp"
User-Agent: Evolution 3.40.4 (3.40.4-6.el9) 
MIME-Version: 1.0
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 63407
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


--=-CJ+3MfAp7O51tM5SYCYp
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

This issue is NOT present with the gtk version.  <mouse-2> on the
misspelling opens the dialog adjacent to the word.

In GNU Emacs 29.0.90 (build 1, x86_64-redhat-linux-gnu, GTK+ Version
3.24.31, cairo version 1.17.4) of 2023-05-05 built on
68491e1f65c749138809f0638462fb10
Windowing system distributor 'The X.Org Foundation', version
11.0.12011000
System Description: Rocky Linux 9.1 (Blue Onyx)

Configured using:
'configure --build=x86_64-redhat-linux-gnu
--host=x86_64-redhat-linux-gnu --program-prefix=
--disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
--bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
--libexecdir=/usr/libexec --localstatedir=/var
--sharedstatedir=/var/lib --mandir=/usr/share/man
--infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
--with-rsvg --with-tiff --with-xft --with-xpm --with-gpm=no
--with-modules --with-harfbuzz --with-cairo --with-json
--with-native-compilation --with-tree-sitter --with-x-toolkit=gtk3
build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
CC=gcc 'CFLAGS=-DMAIL_USE_LOCKF -O2 -flto=auto -ffat-lto-objects
-fexceptions -g -grecord-gcc-switches -pipe -Wall
-Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
-Wp,-D_GLIBCXX_ASSERTIONS
-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
-mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
-fcf-protection' LDFLAGS=-Wl,-z,relro
PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig CXX=g++
'CXXFLAGS=-O2 -flto=auto -ffat-lto-objects -fexceptions -g
-grecord-gcc-switches -pipe -Wall -Werror=format-security
-Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS
-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
-specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
-mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
-fcf-protection''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
JSON
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
value of $EMACSLOADPATH: $HOME/.config/emacs/lisp:/data/sb/bats-
mode:$HOME/lfin/lisp:/usr/local/lisp/packages:
value of $LANG: C
value of $XMODIFIERS: @im=ibus
locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
magit-auto-revert-mode: t
yas-minor-mode: t
override-global-mode: t
global-git-commit-mode: t
shell-dirtrack-mode: t
server-mode: t
dwm-time-keys: t
flyspell-mode: t
which-function-mode: t
savehist-mode: t
save-place-mode: t
global-whitespace-mode: t
global-auto-revert-mode: t
desktop-save-mode: t
tooltip-mode: t
global-eldoc-mode: t
eldoc-mode: t
show-paren-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
line-number-mode: t
indent-tabs-mode: t
transient-mark-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
abbrev-mode: t

Load-path shadows:
/usr/local/lisp/packages/pydoc-0.1/pydoc hides
$HOME/.config/emacs/lisp/pydoc
/usr/local/lisp/packages/transient-0.3.7/transient hides
/usr/share/emacs/29.0.90/lisp/transient
/usr/local/lisp/packages/xref-1.6.3/xref hides
/usr/share/emacs/29.0.90/lisp/progmodes/xref
$HOME/.config/emacs/lisp/sieve-mode hides
/usr/share/emacs/29.0.90/lisp/net/sieve-mode

Features:
(shadow sort mail-extr emacsbug shortdoc help-fns radix-tree vc-cvs
vc-rcs log-view vc bug-reference magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log magit-diff smerge-mode diff magit-core
magit-autorevert magit-margin magit-transient magit-process misearch
multi-isearch mule-util jka-compr dired-aux sh-script smie executable
eww xdg url-queue shr pixel-fill kinsoku url-file svg xml mm-url gnus
nnheader range markdown-mode edit-indirect color vc-git diff-mode
vc-dispatcher jinja2-mode sgml-mode dom ansible-minor-mode yasnippet
yaml-mode dwm-python pydoc org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-loaddefs
cal-menu calendar cal-loaddefs org-version org-compat org-macs goto-
addr
elpy advice elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util elpy-shell elpy-profile
elpy-django s elpy-refactor ido files-x etags fileloop generator xref
cus-edit wid-edit python project compat pcase treesit
use-package-bind-key bind-key use-package-core git-commit with-editor
shell pcomplete server log-edit message sendmail yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
gnus-util mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader pcvs-util add-log magit-mode transient edmacro format-spec
magit-git magit-section magit-utils crm dash vlc-minor-mode
dwm-time-keys easy-mmode perl-stuff cperl-mode facemenu mouse-copy
mkwdlist generic local-generic generic-x flyspell ispell ffap thingatpt
dwm kmacro cc-mode cc-fonts cc-guess cc-menus cc-styles cc-align cc-
cmds
cc-engine cc-vars cc-defs dwm-c-mode edebug debug backtrace find-func
vscode-dark-plus-theme which-func imenu savehist saveplace grep
whitespace autorevert filenotify desktop frameset cus-load
xref-autoloads sqlformat-autoloads reformatter-autoloads
perl-doc-autoloads websocket-autoloads magit-autoloads
magit-section-autoloads json-reformat-autoloads jinx-autoloads
gnu-elpa-keyring-update-autoloads transient-autoloads devdocs-autoloads
delight-autoloads csv-mode-autoloads csv-autoloads compat-autoloads
bash-completion-autoloads s-autoloads php-mode-autoloads popup-
autoloads
compile text-property-search comint ansi-osc ansi-color ring pp info
finder-inf package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source eieio eieio-core
password-cache json map byte-opt url-vars time-date comp comp-cstr
warnings icons subr-x rx cl-seq cl-macs gv cl-extra help-mode
cl-loaddefs cl-lib bytecomp byte-compile rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-
eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock
syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-
generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 740249 134163)
(symbols 48 39617 16)
(strings 32 213419 52933)
(string-bytes 1 6319778)
(vectors 16 85397)
(vector-slots 8 1418133 243464)
(floats 8 502 803)
(intervals 56 2374 838)
(buffers 984 25))

-- 
take care,
++doug


--=-CJ+3MfAp7O51tM5SYCYp
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div>This issue is NOT present with the gtk versio=
n. &nbsp;&lt;mouse-2&gt; on the misspelling opens the dialog adjacent to th=
e word.</div><div><br></div><div>In GNU Emacs 29.0.90 (build 1, x86_64-redh=
at-linux-gnu, GTK+ Version</div><div> 3.24.31, cairo version 1.17.4) of 202=
3-05-05 built on</div><div> 68491e1f65c749138809f0638462fb10</div><div>Wind=
owing system distributor 'The X.Org Foundation', version 11.0.12011000</div=
><div>System Description: Rocky Linux 9.1 (Blue Onyx)</div><div><br></div><=
div>Configured using:</div><div> 'configure --build=3Dx86_64-redhat-linux-g=
nu</div><div> --host=3Dx86_64-redhat-linux-gnu --program-prefix=3D</div><di=
v> --disable-dependency-tracking --prefix=3D/usr --exec-prefix=3D/usr</div>=
<div> --bindir=3D/usr/bin --sbindir=3D/usr/sbin --sysconfdir=3D/etc</div><d=
iv> --datadir=3D/usr/share --includedir=3D/usr/include --libdir=3D/usr/lib6=
4</div><div> --libexecdir=3D/usr/libexec --localstatedir=3D/var</div><div> =
--sharedstatedir=3D/var/lib --mandir=3D/usr/share/man</div><div> --infodir=
=3D/usr/share/info --with-dbus --with-gif --with-jpeg --with-png</div><div>=
 --with-rsvg --with-tiff --with-xft --with-xpm --with-gpm=3Dno</div><div> -=
-with-modules --with-harfbuzz --with-cairo --with-json</div><div> --with-na=
tive-compilation --with-tree-sitter --with-x-toolkit=3Dgtk3</div><div> buil=
d_alias=3Dx86_64-redhat-linux-gnu host_alias=3Dx86_64-redhat-linux-gnu</div=
><div> CC=3Dgcc 'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -flto=3Dauto -ffat-lto-objec=
ts</div><div> -fexceptions -g -grecord-gcc-switches -pipe -Wall</div><div> =
-Werror=3Dformat-security -Wp,-D_FORTIFY_SOURCE=3D2</div><div> -Wp,-D_GLIBC=
XX_ASSERTIONS</div><div> -specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1 -=
fstack-protector-strong</div><div> -specs=3D/usr/lib/rpm/redhat/redhat-anno=
bin-cc1 -m64 -march=3Dx86-64-v2</div><div> -mtune=3Dgeneric -fasynchronous-=
unwind-tables -fstack-clash-protection</div><div> -fcf-protection' LDFLAGS=
=3D-Wl,-z,relro</div><div> PKG_CONFIG_PATH=3D:/usr/lib64/pkgconfig:/usr/sha=
re/pkgconfig CXX=3Dg++</div><div> 'CXXFLAGS=3D-O2 -flto=3Dauto -ffat-lto-ob=
jects -fexceptions -g</div><div> -grecord-gcc-switches -pipe -Wall -Werror=
=3Dformat-security</div><div> -Wp,-D_FORTIFY_SOURCE=3D2 -Wp,-D_GLIBCXX_ASSE=
RTIONS</div><div> -specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-=
protector-strong</div><div> -specs=3D/usr/lib/rpm/redhat/redhat-annobin-cc1=
 -m64 -march=3Dx86-64-v2</div><div> -mtune=3Dgeneric -fasynchronous-unwind-=
tables -fstack-clash-protection</div><div> -fcf-protection''</div><div><br>=
</div><div>Configured features:</div><div>ACL CAIRO DBUS FREETYPE GIF GLIB =
GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON</div><div>LIBOTF LIBSELINUX LIBSYST=
EMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY</div><div>INOTIFY PDUMPER P=
NG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF</div><div>TOOLKIT_SCROLL_BARS TR=
EE_SITTER X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB</div><div><br></div><div>Impor=
tant settings:</div><div>  value of $EMACSLOADPATH: $HOME/.config/emacs/lis=
p:/data/sb/bats-mode:$HOME/lfin/lisp:/usr/local/lisp/packages:</div><div>  =
value of $LANG: C</div><div>  value of $XMODIFIERS: @im=3Dibus</div><div>  =
locale-coding-system: utf-8-unix</div><div><br></div><div>Major mode: Lisp =
Interaction</div><div><br></div><div>Minor modes in effect:</div><div>  mag=
it-auto-revert-mode: t</div><div>  yas-minor-mode: t</div><div>  override-g=
lobal-mode: t</div><div>  global-git-commit-mode: t</div><div>  shell-dirtr=
ack-mode: t</div><div>  server-mode: t</div><div>  dwm-time-keys: t</div><d=
iv>  flyspell-mode: t</div><div>  which-function-mode: t</div><div>  savehi=
st-mode: t</div><div>  save-place-mode: t</div><div>  global-whitespace-mod=
e: t</div><div>  global-auto-revert-mode: t</div><div>  desktop-save-mode: =
t</div><div>  tooltip-mode: t</div><div>  global-eldoc-mode: t</div><div>  =
eldoc-mode: t</div><div>  show-paren-mode: t</div><div>  electric-indent-mo=
de: t</div><div>  mouse-wheel-mode: t</div><div>  tool-bar-mode: t</div><di=
v>  file-name-shadow-mode: t</div><div>  global-font-lock-mode: t</div><div=
>  font-lock-mode: t</div><div>  blink-cursor-mode: t</div><div>  line-numb=
er-mode: t</div><div>  indent-tabs-mode: t</div><div>  transient-mark-mode:=
 t</div><div>  auto-composition-mode: t</div><div>  auto-encryption-mode: t=
</div><div>  auto-compression-mode: t</div><div>  abbrev-mode: t</div><div>=
<br></div><div>Load-path shadows:</div><div>/usr/local/lisp/packages/pydoc-=
0.1/pydoc hides $HOME/.config/emacs/lisp/pydoc</div><div>/usr/local/lisp/pa=
ckages/transient-0.3.7/transient hides /usr/share/emacs/29.0.90/lisp/transi=
ent</div><div>/usr/local/lisp/packages/xref-1.6.3/xref hides /usr/share/ema=
cs/29.0.90/lisp/progmodes/xref</div><div>$HOME/.config/emacs/lisp/sieve-mod=
e hides /usr/share/emacs/29.0.90/lisp/net/sieve-mode</div><div><br></div><d=
iv>Features:</div><div>(shadow sort mail-extr emacsbug shortdoc help-fns ra=
dix-tree vc-cvs</div><div>vc-rcs log-view vc bug-reference magit-submodule =
magit-obsolete</div><div>magit-blame magit-stash magit-reflog magit-bisect =
magit-push magit-pull</div><div>magit-fetch magit-clone magit-remote magit-=
commit magit-sequence</div><div>magit-notes magit-worktree magit-tag magit-=
merge magit-branch</div><div>magit-reset magit-files magit-refs magit-statu=
s magit magit-repos</div><div>magit-apply magit-wip magit-log magit-diff sm=
erge-mode diff magit-core</div><div>magit-autorevert magit-margin magit-tra=
nsient magit-process misearch</div><div>multi-isearch mule-util jka-compr d=
ired-aux sh-script smie executable</div><div>eww xdg url-queue shr pixel-fi=
ll kinsoku url-file svg xml mm-url gnus</div><div>nnheader range markdown-m=
ode edit-indirect color vc-git diff-mode</div><div>vc-dispatcher jinja2-mod=
e sgml-mode dom ansible-minor-mode yasnippet</div><div>yaml-mode dwm-python=
 pydoc org ob ob-tangle ob-ref ob-lob ob-table</div><div>ob-exp org-macro o=
rg-src ob-comint org-pcomplete org-list org-footnote</div><div>org-faces or=
g-entities noutline outline ob-emacs-lisp ob-core ob-eval</div><div>org-cyc=
le org-table ol org-fold org-fold-core org-keys oc org-loaddefs</div><div>c=
al-menu calendar cal-loaddefs org-version org-compat org-macs goto-addr</di=
v><div>elpy advice elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc<=
/div><div>esh-io esh-arg esh-module esh-groups esh-util elpy-shell elpy-pro=
file</div><div>elpy-django s elpy-refactor ido files-x etags fileloop gener=
ator xref</div><div>cus-edit wid-edit python project compat pcase treesit</=
div><div>use-package-bind-key bind-key use-package-core git-commit with-edi=
tor</div><div>shell pcomplete server log-edit message sendmail yank-media p=
uny dired</div><div>dired-loaddefs rfc822 mml mml-sec epa derived epg rfc60=
68 epg-config</div><div>gnus-util mm-decode mm-bodies mm-encode mail-parse =
rfc2231 rfc2047</div><div>rfc2045 mm-util ietf-drums mail-prsvr mailabbrev =
mail-utils gmm-utils</div><div>mailheader pcvs-util add-log magit-mode tran=
sient edmacro format-spec</div><div>magit-git magit-section magit-utils crm=
 dash vlc-minor-mode</div><div>dwm-time-keys easy-mmode perl-stuff cperl-mo=
de facemenu mouse-copy</div><div>mkwdlist generic local-generic generic-x f=
lyspell ispell ffap thingatpt</div><div>dwm kmacro cc-mode cc-fonts cc-gues=
s cc-menus cc-styles cc-align cc-cmds</div><div>cc-engine cc-vars cc-defs d=
wm-c-mode edebug debug backtrace find-func</div><div>vscode-dark-plus-theme=
 which-func imenu savehist saveplace grep</div><div>whitespace autorevert f=
ilenotify desktop frameset cus-load</div><div>xref-autoloads sqlformat-auto=
loads reformatter-autoloads</div><div>perl-doc-autoloads websocket-autoload=
s magit-autoloads</div><div>magit-section-autoloads json-reformat-autoloads=
 jinx-autoloads</div><div>gnu-elpa-keyring-update-autoloads transient-autol=
oads devdocs-autoloads</div><div>delight-autoloads csv-mode-autoloads csv-a=
utoloads compat-autoloads</div><div>bash-completion-autoloads s-autoloads p=
hp-mode-autoloads popup-autoloads</div><div>compile text-property-search co=
mint ansi-osc ansi-color ring pp info</div><div>finder-inf package browse-u=
rl url url-proxy url-privacy url-expand</div><div>url-methods url-history u=
rl-cookie generate-lisp-file url-domsuf</div><div>url-util mailcap url-hand=
lers url-parse auth-source eieio eieio-core</div><div>password-cache json m=
ap byte-opt url-vars time-date comp comp-cstr</div><div>warnings icons subr=
-x rx cl-seq cl-macs gv cl-extra help-mode</div><div>cl-loaddefs cl-lib byt=
ecomp byte-compile rmc iso-transl tooltip cconv</div><div>eldoc paren elect=
ric uniquify ediff-hook vc-hooks lisp-float-type</div><div>elisp-mode mwhee=
l term/x-win x-win term/common-win x-dnd tool-bar dnd</div><div>fontset ima=
ge regexp-opt fringe tabulated-list replace newcomment</div><div>text-mode =
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow</div><div>is=
earch easymenu timer select scroll-bar mouse jit-lock font-lock syntax</div=
><div>font-core term/tty-colors frame minibuffer nadvice seq simple cl-gene=
ric</div><div>indonesian philippine cham georgian utf-8-lang misc-lang viet=
namese</div><div>tibetan thai tai-viet lao korean japanese eucjp-ms cp51932=
 hebrew greek</div><div>romanian slovak czech european ethiopic indian cyri=
llic chinese</div><div>composite emoji-zwj charscript charprop case-table e=
pa-hook</div><div>jka-cmpr-hook help abbrev obarray oclosure cl-preloaded b=
utton loaddefs</div><div>theme-loaddefs faces cus-face macroexp files windo=
w text-properties</div><div>overlay sha1 md5 base64 format env code-pages m=
ule custom widget keymap</div><div>hashtable-print-readable backquote threa=
ds dbusbind inotify</div><div>dynamic-setting system-font-setting font-rend=
er-setting cairo</div><div>move-toolbar gtk x-toolkit xinput2 x multi-tty m=
ake-network-process</div><div>native-compile emacs)</div><div><br></div><di=
v>Memory information:</div><div>((conses 16 740249 134163)</div><div> (symb=
ols 48 39617 16)</div><div> (strings 32 213419 52933)</div><div> (string-by=
tes 1 6319778)</div><div> (vectors 16 85397)</div><div> (vector-slots 8 141=
8133 243464)</div><div> (floats 8 502 803)</div><div> (intervals 56 2374 83=
8)</div><div> (buffers 984 25))</div><div><br></div><div>-- </div><div>take=
 care,</div><div>++doug</div><div><br></div><div><span></span></div></body>=
</html>

--=-CJ+3MfAp7O51tM5SYCYp--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2023 01:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 21:18:11 2023
Received: from localhost ([127.0.0.1]:44859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwYT5-0000hq-5J
	for submit <at> debbugs.gnu.org; Tue, 09 May 2023 21:18:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:47098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pops@HIDDEN>) id 1pwUgw-00083s-4h
 for submit <at> debbugs.gnu.org; Tue, 09 May 2023 17:16:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pops@HIDDEN>)
 id 1pwUgv-0007Ej-PT
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2023 17:16:13 -0400
Received: from mail.maxeygroup.tech ([70.231.4.161])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pops@HIDDEN>)
 id 1pwUgs-0004cH-In
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2023 17:16:13 -0400
Received: from rek.internal.maxeygroup.tech (rek.internal.maxeygroup.tech
 [IPv6:fd72:6977:7ac0:ffee:0:0:1:32])
 by mail.maxeygroup.tech (8.17.1/8.17.1) with ESMTPS id 349LF34n1787248
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Tue, 9 May 2023 16:15:06 -0500
Received: (from dwm@localhost)
 by rek.internal.maxeygroup.tech (8.17.1/8.17.1/Submit) id 349LF9c0614115;
 Tue, 9 May 2023 16:15:09 -0500
From: Doug Maxey <emacs-bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.90; <mouse-2> on misspelled word hangs X11
Date: Tue, 09 May 2023 16:15:09 -0500
Message-ID: <87zg6dryua.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=70.231.4.161; envelope-from=pops@HIDDEN;
 helo=mail.maxeygroup.tech
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 09 May 2023 21:18:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


The setup:
- rocky-9 x86_64.
- The graphics session is running in "classic", i.e. Xorg, not wayland.
- multi-monitors joined to single display.
- emacs-lucid from locally built rpm (non-rpm local build behaves same).
- buffer major-mode does not seem to matter.
- <mouse-2> on a misspelled word.

The result is other than having control of the sprite (the mouse can
move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
there is NO other input accepted.  Cannot select any other window than
the last (emacs frame in this case), and there is no keyboard or mouse
button input.  There are no visible change on the screen, no dialog box
pops up.

The net effect is that the screen is frozen, save for the moving sprite.

Have tried waiting it out overnight, with no change.

I have managed to do this several times, the simplest recovery is a
reboot (a PITA as I have lots of things open), as it seems to have
curdled something in the X server, just a log out and back in does not
seem to fix.

A workaround discovered by accident, when trying to find out the command
the <mouse-2> on the misspelled word invokes, <F1-k> when over the
misspelling, seems to stop the hang from happening after the
documentation is displayed, and the dialog box pops up when <mouse-2> is
pressed on the misspelling, and it works as expected.



In GNU Emacs 29.0.90 (build 1, x86_64-redhat-linux-gnu, X toolkit, cairo
 version 1.17.4, Xaw3d scroll bars) of 2023-05-05 built on
 68491e1f65c749138809f0638462fb10
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Rocky Linux 9.1 (Blue Onyx)

Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-gpm=no
 --with-modules --with-harfbuzz --with-cairo --with-json
 --with-native-compilation --with-tree-sitter --with-x-toolkit=lucid
 build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
 CC=gcc 'CFLAGS=-DMAIL_USE_LOCKF -O2 -flto=auto -ffat-lto-objects
 -fexceptions -g -grecord-gcc-switches -pipe -Wall
 -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -Wp,-D_GLIBCXX_ASSERTIONS
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
 -fcf-protection' LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig CXX=g++
 'CXXFLAGS=-O2 -flto=auto -ffat-lto-objects -fexceptions -g
 -grecord-gcc-switches -pipe -Wall -Werror=format-security
 -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
 -fcf-protection''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER X11 XAW3D XDBE XIM XINPUT2 XPM LUCID
ZLIB

Important settings:
  value of $EMACSLOADPATH: /home/dwm/.config/emacs/lisp:/data/sb/bats-mode:/home/dwm/lfin/lisp:/usr/local/lisp/packages:
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  magit-auto-revert-mode: t
  yas-minor-mode: t
  override-global-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  dwm-time-keys: t
  flyspell-mode: t
  which-function-mode: t
  savehist-mode: t
  save-place-mode: t
  global-whitespace-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  abbrev-mode: t

Load-path shadows:
/usr/local/lisp/packages/pydoc-0.1/pydoc hides /home/dwm/.config/emacs/lisp/pydoc
/usr/local/lisp/packages/transient-0.3.7/transient hides /usr/share/emacs/29.0.90/lisp/transient
/usr/local/lisp/packages/xref-1.6.3/xref hides /usr/share/emacs/29.0.90/lisp/progmodes/xref
/home/dwm/.config/emacs/lisp/sieve-mode hides /usr/share/emacs/29.0.90/lisp/net/sieve-mode

Features:
(cus-start cl-print network-stream nsm mailalias smtpmail textsec
uni-scripts idna-mapping ucs-normalize uni-confusable textsec-check
shadow sort mail-extr emacsbug shortdoc help-fns radix-tree rst gud
misearch multi-isearch tabify vc-cvs vc-rcs log-view vc bug-reference
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff magit-core magit-autorevert magit-margin magit-transient
magit-process mule-util jka-compr dired-aux sh-script smie executable
eww xdg url-queue shr pixel-fill kinsoku url-file svg xml mm-url gnus
nnheader range markdown-mode edit-indirect color vc-git diff-mode
vc-dispatcher jinja2-mode sgml-mode dom ansible-minor-mode yasnippet
yaml-mode dwm-python pydoc org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-loaddefs
cal-menu calendar cal-loaddefs org-version org-compat org-macs goto-addr
elpy advice elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util elpy-shell elpy-profile
elpy-django s elpy-refactor ido files-x etags fileloop generator xref
cus-edit wid-edit python project compat pcase treesit
use-package-bind-key bind-key use-package-core git-commit with-editor
shell pcomplete server log-edit message sendmail yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
gnus-util time-date mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils
gmm-utils mailheader pcvs-util add-log magit-mode transient edmacro
format-spec magit-git magit-section magit-utils crm dash vlc-minor-mode
dwm-time-keys easy-mmode perl-stuff cperl-mode facemenu mouse-copy
mkwdlist generic local-generic generic-x flyspell ispell ffap thingatpt
dwm kmacro cc-mode cc-fonts cc-guess cc-menus cc-styles cc-align cc-cmds
cc-engine cc-vars cc-defs dwm-c-mode edebug debug backtrace find-func
vscode-dark-plus-theme which-func imenu savehist saveplace grep
whitespace autorevert filenotify desktop frameset cus-load
xref-autoloads sqlformat-autoloads reformatter-autoloads
perl-doc-autoloads websocket-autoloads magit-autoloads
magit-section-autoloads json-reformat-autoloads jinx-autoloads
gnu-elpa-keyring-update-autoloads transient-autoloads devdocs-autoloads
delight-autoloads csv-mode-autoloads csv-autoloads compat-autoloads
bash-completion-autoloads s-autoloads php-mode-autoloads popup-autoloads
compile text-property-search comint ansi-osc ansi-color ring pp info
finder-inf package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source eieio eieio-core
password-cache json map byte-opt url-vars comp comp-cstr warnings icons
subr-x rx cl-seq cl-macs gv cl-extra help-mode cl-loaddefs cl-lib
bytecomp byte-compile rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 881778 199956)
 (symbols 48 40444 28)
 (strings 32 219072 41204)
 (string-bytes 1 6214139)
 (vectors 16 115765)
 (vector-slots 8 2629689 406167)
 (floats 8 519 831)
 (intervals 56 9007 626)
 (buffers 984 33))

-- 
take care,
++doug




Acknowledgement sent to Doug Maxey <emacs-bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#63407; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Jun 2024 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.